Skip to content

Releases a held ACH transaction

Request

POST {{baseURL}}/v2/transactions/{{transactionId}}/ach-release

This endpoint releases a held ACH transaction.

See Also:
To hold an ACH transaction, see POST /v2/transactions/ach-hold

See Also:
To list transactions, see GET /v2/transactions.
To retrieve a transaction by ID, see GET /v2/transactions/{transactionId}.
To create a new transaction, see POST /v2/transactions.
To capture a transaction, see POST /v2/transactions/{transactionId}/capture.
To share a transaction receipt by SMS, see POST /v2/transactions/{transactionId}/share-receipt.

Security
Bearer
Path
transactionIdstring, (uuid)required

Specifies the transaction identifier.

Example:487471b7-0149-44ed-840b-97d920e068
curl -i -X POST \
  https://sandbox.api.flute.com/v2/transactions/487471b7-0149-44ed-840b-97d920e068/ach-release \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects or null
pageInfoobject

Indicates an object describing the pagination status.

If additional pages to review are needed, repeat the exact same search but include a new pageIndex value. Typically, this will increment the current pageIndex by one. However, any valid value may be used. Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.
Response
{ "transactionId": "db2d3d8b-bd69-44a8-8960-e932fbe61365", "type": "UnHold", "transactionStatus": "Approved", "processorResponse": { "processorName": "ACH", "responseCode": "00", "responseMessage": "Approved", "responseDefinition": "Transaction hold released successfully" } }